DELETE TimeSaver/DeleteEmployeeScanIns
Request Information
URI Parameters
None.
Body Parameters
EmployeeScanIn| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| LoggedInUserID | globally unique identifier |
Required |
|
| EmployeeID | globally unique identifier |
Required |
|
| SiteID | globally unique identifier |
Required |
|
| SiteActivityID | globally unique identifier |
None. |
|
| ClockInTime | date |
Required |
|
| IsNightShift | boolean |
Required |
|
| IsProcessed | boolean |
Required |
|
| ProcessedDate | date |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| FacialVerifed | boolean |
Required |
|
| FacialMatch | boolean |
Required |
|
| FacialConfidence | decimal number |
Required |
|
| PhotoID | globally unique identifier |
None. |
|
| IsActive | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "1303c210-c207-47d0-8570-1e54c1eb30a1",
"loggedInUserID": "3e821fa1-7665-4865-8347-b9094f8a1407",
"employeeID": "be3aac70-179a-44ee-b3e9-9ef189485711",
"siteID": "cf751994-7152-4c71-b17a-075e9db6d459",
"siteActivityID": "635711a1-1aad-44b0-b1c6-e1c12a69e7fa",
"clockInTime": "2026-06-12T22:59:13.225218+00:00",
"isNightShift": true,
"isProcessed": true,
"processedDate": "2026-06-12T22:59:13.225218+00:00",
"latitude": 1.1,
"longitude": 1.1,
"facialVerifed": true,
"facialMatch": true,
"facialConfidence": 10.0,
"photoID": "7576cbbd-a034-4d83-85d8-cd301ad54268",
"isActive": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.